Jump to content
kymation

[Addon} Theme Switcher

Recommended Posts

I've been having problems getting to this forum for the past few days, so you might not have gotten an answer much faster. Fortunately it seems to be working right now.

 

Thanks for pointing out this problem. I'll update the distribution package so others don't have the same problem.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Switched to the bootstrap version, so far so good. Thanks for the hard work!

Share this post


Link to post
Share on other sites

I have installed the jquery theme switcher.  Overall it seems to be working, but when I make a theme at ThemeRoller, I don't have any of the directory structure mentioned in the user's manual.  I don't have a folder with the name of theme, just a "jquery-ui-1.11.4.custom" folder with an "images" folder and "external" folder inside along with jquery-ui.min.js and jquery-ui.min.css, but there is no jquery.min.js.  There are several other files: jquery-ui.css, jquery-ui.js, jquery-ui.structure.css, jquery-ui.structure.min.css, jquery-ui.theme.css, jquery-ui.theme.min.css.

 

Also, when I add a theme all of the columns and header changes, but there is no effect on the products in the centre.  Is this normal?  Would I be better to go with the bootstrap?

 

osCommerce 2.3.4.

Share this post


Link to post
Share on other sites

You probably saved a newer version of your theme. osCommerce supports jQueryUI version 1.10.x or older. The current 1.11.4 version will not work without modifying osCommerce.

 

The theme does not change everything in osCommerce. Buttons in the center part of the page will change, but that's about it. Anything else will have to be changed by editing the stylesheet.

 

Bootstrap is superior in many ways to jQueryUI. However, the Bootstrap version of osCommerce is only a community release, and there is no upgrade path to the official version, and no timeline for an official version to appear. Also, there are very few addons available that will work without modification. I suggest that you only go that route if you are comfortable with hacking and debugging the code.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Thanks Jim.  The switcher is working as planned then.  If I switch themes, the left and right columns and the header switch to match the new theme, I just wanted to be sure about the products section.  There is a template for 2.2 rc2, rounded-osc where the header does not work, but the products seem to work fine, so that may be a workaround if I can roll a theme to match.  Thanks for the info.

 

Regards,

Leland

Share this post


Link to post
Share on other sites

Be careful using parts of 2.2 templates in 2.3. There are enough code differences to cause all sorts of problems. if you go this route, test everything very carefully before you go live.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Nice contribution.

 

I installed it and the new Redmond.  Went to theme roller and downloaded blitzer.  I can change from one to the other with no problem.  I like it a lot.

 

I have one small problem, that is on the admin side.  Everything is now in text like there is no theme there anymore.  I think it might have to do with admin/includes/template top.php but not sure.

 

I use OSC ver 2.3.3 and theme switcher version 1.4.3 the jquery and jquery ui are both 1.10.4

 

Thank you Kymation for a wonderful add on.  Please help,

Edited by dspeak

Share this post


Link to post
Share on other sites

Did you delete the old versions of jQuery and jQueryUI? Don't do that; the Admin side still needs them. Put the old versions back, or install the Admin Theme Switcher and change the Admin side to match your store.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Thank you Kymation,

 

I put back the original files and the same thing is still happening. I am thinking about starting all over and trying again.

Share this post


Link to post
Share on other sites

Ok, I just set everything back to the original and changed template_top back to the original. Now everything including admin is back to the light blue theme.

 

Could template top have something to do with admin side. I renamed my original to template_top_new and uploaded template_top from your download.

 

Any ideas?

Share this post


Link to post
Share on other sites

As I said, your Admin needs the old versions of jQuery and jQueryUI. Leave those alone and it will work as expected.

 

All of this is covered in the instructions. Please read them.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

All right, got it to work so far:

Had to make a change in template_top:

 

<script type="text/javascript" src="ext/jquery/bxGallery/jquery.bxGallery.1.1.min.js"></script>
<link rel="stylesheet" type="text/css" href="ext/jquery/fancybox/jquery.fancybox-1.3.4.css" />
<script type="text/javascript" src="ext/jquery/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
 

and replace them with these:

<script type="text/javascript" src="ext/photoset-grid/jquery.photoset-grid.min.js"></script>
<link rel="stylesheet" type="text/css" href="ext/colorbox/colorbox.css" />
<script type="text/javascript" src="ext/colorbox/jquery.colorbox-min.js"></script>

 

That fixed it.

 

Share this post


Link to post
Share on other sites

That's part of the change from osCommerce 2.3.3.4 to 2.3.4. I suggest that you perform the rest of the upgrade to osC 2.3.4 and continue to keep your code up to date.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I had the same problem as dspeak as I hadn't guessed that installing a March 2015 version of an addon would come with out of date core files, so anyone who has either upgraded or simply got a fresh install of oscommerce then follows the Theme Switcher instructions which claims to be based on 2.3.4 (from User Manual section 1.2 Software Compatibility) is actually downgrading files to old versions!

Share this post


Link to post
Share on other sites

Theme Switcher only modifies/replaces one file from stock osCommerce: catalog/includes/template_top.php. In version 1.5.1 of Theme Switcher, that file is taken directly from osCommerce 2.3.4.

 

So, if you're not just trolling, kindly tell us exactly what you think is "out of date".

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Theme Switcher only modifies/replaces one file from stock osCommerce: catalog/includes/template_top.php. In version 1.5.1 of Theme Switcher, that file is taken directly from osCommerce 2.3.4.

 

So, if you're not just trolling, kindly tell us exactly what you think is "out of date".

 

Regards

Jim

Have you published version 1.5.1 yet?  The latest version on http://addons.oscommerce.com/info/7663 is 1.5 (7 March 2015) which turns back the changes in any upgrade / or breaks a brand new 2.3.4 install as I have.

Share this post


Link to post
Share on other sites

I did upload it. Version 1.5 was uploaded 04/02/2015 and version 1.5.5 was uploaded on 04/07/2015. Now there's only 1.5, and it's dated 04/07/2015. It looks like the Addons crash did some damage.

 

I've uploaded a new copy. Please check and let me know if you see anything weird with this one. Sorry about the confusion, but I didn't know that the file was missing. In the future, please state the exact version that you have installed.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I haven't uploaded to the addons for many, many years, but at that time the addons was live instantly it was uploaded.  1.5 was listed in March as has been mentioned on both of my posts.  The first as "March", the second I added "7 March" to clarify further (not April).  Today the 1.5 addon is still listed as "7 March".

 

Not sure what happened to your 1.5.5???? or what happened to 1.5.1, 1.5.2, 1.5.3, 1.5.4?

 

1.5.1 was published yesterday(presumably uploaded yesterday too), and can confirm that dspeak fix is no longer needed.

 

My post was not trolling just adding to the already reported bug that hadn't been addressed at the time with factually accurate information.

Share this post


Link to post
Share on other sites

This is sounding more and more like a troll. I'm out.


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

@@kymation

 

Hi Jim,

is it supported? http://paintstrap.com/


:blink:
osCommerce based shop owner with minimal design and focused on background works. When the less is more.
Email managment with tracking pixel, package managment for shipping, stock management, warehouse managment with bar code reader, parcel shops management on 3000 pickup points without local store.

Share this post


Link to post
Share on other sites

Anything that produces a Bootstrap theme file is supported, so yes.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I've uploaded a new version to remove one extra character from the template_top.php in the Bootstrap version. Thanks to @@marcello for reporting the bug.

 

If you are using Bootstrap, please replace that file with the one from this release. Otherwise, relax, you're good.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I am a newbie at osCommerce and Theme Switcher so please bear with me.  I finally got Theme Switcher to work without giving me the "theme CSS file" error.  I have another question.  There are 17 other CSS files in the theme folder (Humanity from ThemeRoller).  Do these files need to have the jQuery UI version number in them and, if so, what is the proper way to rename them?  One CSS file example is jquery.ui.accordion.css.  Thanks.  I sincerely appreciate your help.

Share this post


Link to post
Share on other sites

The other files are not directly used by stock osCommerce, but they may be used by some addons. Follow the directions in the addon if you need to use one or more of those files. Usually you can just leave them alone.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×